[Dell Insprion 3646] Double cursor appeared when rotating the display back to normal [8086:0f31]

Bug #1443345 reported by Po-Hsu Lin on 2015-04-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Critical
Robert Hooker
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
xserver-xorg-video-intel-lts-utopic (Ubuntu)
Critical
Robert Hooker
Trusty
Undecided
Unassigned

Bug Description

CID: 201403-14891 Dell Inspiron 3646

When you rotate the display to any orientation other than "normal", and rotate back to normal, there will be two cursors.

The second cursor will be totally useless and it can't be captured with the screenshot tool.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.16.0-30-generic 3.16.0-30.40~14.04.1 [modified: boot/vmlinuz-3.16.0-30-generic]
ProcVersionSignature: Ubuntu 3.16.0-30.40~14.04.1-generic 3.16.7-ckt3
Uname: Linux 3.16.0-30-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.7
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Apr 13 05:32:58 2015
InstallationDate: Installed on 2015-04-10 (3 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
SourcePackage: linux-lts-utopic
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.14.1-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1535 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=e8be0ad6-e2fa-4028-be73-b67cef530d8c
InstallationDate: Installed on 2015-04-10 (3 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
MachineType: Dell Inc. Inspiron 3646
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-30-generic root=UUID=58a00b32-8578-4cb8-ab6b-64f86c7b0bf3 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.16.0-30.40~14.04.1-generic 3.16.7-ckt3
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-30-generic N/A
 linux-backports-modules-3.16.0-30-generic N/A
 linux-firmware 1.127.11
Tags: trusty
Uname: Linux 3.16.0-30-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 05/05/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X05
dmi.board.name: Type2 - Board Product Name1
dmi.board.vendor: Dell Inc.
dmi.board.version: Type2 - Board Version
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: X05
dmi.modalias: dmi:bvnDellInc.:bvrX05:bd05/05/2014:svnDellInc.:pnInspiron3646:pvr:rvnDellInc.:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnDellInc.:ct3:cvrX05:
dmi.product.name: Inspiron 3646
dmi.sys.vendor: Dell Inc.

Po-Hsu Lin (cypressyew) wrote :
affects: linux-lts-utopic (Ubuntu) → linux (Ubuntu)
tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

summary: [Dell Insprion 3646] Double cursor appeared when rotating the display
- [8086:0f31]
+ back to normal [8086:0f31]

apport information

apport information

apport information

apport information

apport information

affects: linux (Ubuntu) → linux-lts-utopic (Ubuntu)
Po-Hsu Lin (cypressyew) wrote :

Also affecting 201403-14890 Dell Inspiron 3646 with the same graphic controller.

The attachment is the screenshot.

tags: added: 201403-14890
Po-Hsu Lin (cypressyew) wrote :

This should be considered as a blocker, since we expect that there should be no corruption after this kind of steps.

tags: added: blocks-hwcert
Changed in linux-lts-utopic (Ubuntu):
assignee: nobody → Anthony Wong (anthonywong)
Keng-Yu Lin (lexical) on 2015-04-16
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Critical
Changed in hwe-next:
importance: Undecided → Critical
Keng-Yu Lin (lexical) on 2015-04-21
Changed in hwe-next:
assignee: nobody → Robert Hooker (sarvatt)
status: New → Confirmed
Changed in linux-lts-utopic (Ubuntu):
status: New → Confirmed
assignee: Anthony Wong (anthonywong) → Robert Hooker (sarvatt)
Robert Hooker (sarvatt) on 2015-05-05
affects: linux-lts-utopic (Ubuntu) → xserver-xorg-video-intel-lts-utopic (Ubuntu)
Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu):
status: Confirmed → Incomplete
Robert Hooker (sarvatt) wrote :

Does the xserver-xorg-video-intel-lts-utopic in this PPA still have the same issue so we can narrow this down some? It is the vivid version backported and I see a few interesting commits that could affect this in there, but want to be sure it's actually fixed first.

https://launchpad.net/~sarvatt/+archive/ubuntu/gold

Robert Hooker (sarvatt) on 2015-05-05
Changed in hwe-next:
status: Confirmed → In Progress

The bug reproduced on 201412-16338.

Intel Corporation Broadwell-U Integrated Graphics [8086:1616]

tags: added: 201412-16338 beijing-lab
Po-Hsu Lin (cypressyew) wrote :

Hi Robert,
with the ppa added, the xserver-xorg-video-intel-lts-utopic (2:2.99.917-1~exp1ubuntu2.1~trusty2) package could fix this issue on 201403-14890 Dell Inspiron 3646
Thanks.

Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu):
status: Incomplete → Confirmed
Po-Hsu Lin (cypressyew) wrote :

Reproduced on 201306-13866 with 14.04.2 stock kernel and 3.16.0-37 kernel
Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)

tags: added: 201306-13866
Robert Hooker (sarvatt) on 2015-05-12
Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu):
status: Confirmed → In Progress
Robert Hooker (sarvatt) wrote :

I uploaded an xserver-xorg-video-intel-lts-utopic with this commit backported which I believe has the fix to the problem. Let me know if it works? http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=b2492fa45beaf3c676eea2d5d75e35d60b91d769

https://launchpad.net/~sarvatt/+archive/ubuntu/aqua

xserver-xorg-video-intel-lts-utopic 2:2.99.914-1~exp1ubuntu4.3~trusty1+lp1443345

Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu):
status: In Progress → Incomplete
Po-Hsu Lin (cypressyew) wrote :

Hello Robert,

I have verified the xserver-xorg-video-intel-lts-utopic package (version 2:2.99.914-1~exp1ubuntu4.3~trusty1+lp1443345) from this aqua ppa on two different systems (201403-14890, 201306-13866), and this patch seems not working, the double cursor issue still exist.

Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu):
status: Incomplete → Confirmed
Robert Hooker (sarvatt) wrote :

Ah the other bug has the fix, I've uploaded it here for now if you want to test it - https://launchpad.net/~sarvatt/+archive/ubuntu/aqua . I'll do the SRU on the other bug.

Hello Po-Hsu, or anyone else affected,

Accepted xserver-xorg-video-intel into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.99.914-1~exp1ubuntu4.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

no longer affects: xserver-xorg-video-intel-lts-utopic (Ubuntu Utopic)
no longer affects: xserver-xorg-video-intel (Ubuntu Trusty)
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Fix Released
Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu):
status: Confirmed → Invalid
Changed in xserver-xorg-video-intel (Ubuntu Utopic):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Po-Hsu, or anyone else affected,

Accepted xserver-xorg-video-intel-lts-utopic into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-intel-lts-utopic/2:2.99.914-1~exp1ubuntu4.5~trusty1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Po-Hsu Lin (cypressyew) wrote :

Verified on 201306-13866, this issue will gone with xserver-xorg-video-intel-lts-utopic (2:2.99.914-1~exp1ubuntu4.5~trusty1) installed.

tags: added: verification-done
removed: verification-needed
Norbert Goebel (goebel) wrote :

Thanks for the fixed xserver. It solves the double mousepointer on my thinkpad x200t with ubuntu 14.04.2, too.

Robert Hooker (sarvatt) on 2015-06-30
Changed in hwe-next:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.914-1~exp1ubuntu4.5

---------------
xserver-xorg-video-intel (2:2.99.914-1~exp1ubuntu4.5) utopic; urgency=medium

  [ Timo Aaltonen ]
  * sna-gen8-clear-instancing-enabled-bit-between-batches.diff: Fix
    corruptions and missing letters on 2nd head. (LP: #1432194)

  [ Robert Hooker ]
  * sna-clear-cursor-image-after-rotation.patch: Fix a double cursor problem after
    rotating the screen (LP: #1376760) (LP: #1443345) backport from
    a88795c641 upstream.

 -- Timo Aaltonen <email address hidden> Fri, 26 Jun 2015 14:22:42 +0300

Changed in xserver-xorg-video-intel (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xserver-xorg-video-intel has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel-lts-utopic - 2:2.99.914-1~exp1ubuntu4.5~trusty1

---------------
xserver-xorg-video-intel-lts-utopic (2:2.99.914-1~exp1ubuntu4.5~trusty1) trusty; urgency=medium

  * Backport utopic package for lts-utopic stack.

 -- Timo Aaltonen <email address hidden> Mon, 11 May 2015 14:35:11 +0300

Changed in xserver-xorg-video-intel-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Robert Hooker (sarvatt) on 2015-07-23
Changed in hwe-next:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.